## qlandkartegt 0.16.0

=== CMakeLists.txt ===
project(QLandkarteGT)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "16")
set(APPLICATION_VERSION_PATCH "0")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# config.h generation
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(3rdparty/SerialPort)
add_subdirectory(3rdparty/QMKToolBox)
add_subdirectory(src)

if (UNIX AND NOT WIN32)
  install(
    FILES
      qlandkartegt.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      qlandkartegt.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qlandkartegt.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32)

=== src/CMakeLists.txt ===
project(qlandkarteqt-binary)

find_package(Qt4 REQUIRED)
find_package(OpenGL)

find_package(GDAL REQUIRED)
find_package(PROJ REQUIRED)
find_package(EXIF)
find_package(DMTX)


include(${QT_USE_FILE})

set(qlandkarte_SRCS
    main.cpp
    mitab.cpp
    tcxreader.cpp
    CActions.cpp
    CMenus.cpp
    printpreview.cpp
    GeoMath.cpp
    WptIcons.cpp
    CResources.cpp
    CCopyright.cpp
    CMainWindow.cpp
    CCanvas.cpp
    CCanvasUndoCommandZoom.cpp
    CStatusDEM.cpp
    IMouse.cpp
    CMouseMoveMap.cpp
    CMouseZoomMap.cpp
    CMouseSelMap.cpp
    CMouseAddWpt.cpp
    CMouseMoveWpt.cpp
    CMouseEditWpt.cpp
    CMouseRefPoint.cpp
    CMouseCutTrack.cpp
    CMouseSelTrack.cpp
    CMouseAddText.cpp
    CMouseAddTextBox.cpp
    CMouseAddDistance.cpp
    CMouseOverlay.cpp
    CMouseColorPicker.cpp
    IMap.cpp
    CMapNoMap.cpp
    CMapOSM.cpp
    CMapDEM.cpp
    CMapFile.cpp
    CMapLevel.cpp
    CMapQMAP.cpp
    CMapQMAPExport.cpp
    CMapRaster.cpp
    CMapGeoTiff.cpp
    IMapSelection.cpp
    CMapSelectionRaster.cpp
    CMapSelectionGarmin.cpp
    CMapSearchWidget.cpp
    CMapSearchCanvas.cpp
    CMapSearchThread.cpp
    CMegaMenu.cpp
    IDB.cpp
    CWpt.cpp
    CWptDB.cpp
    CWptToolWidget.cpp
    CSearch.cpp
    CSearchDB.cpp
    CSearchToolWidget.cpp
    CDlgConfig.cpp
    CDlgEditWpt.cpp
    CDlgWptIcon.cpp
    CDlgEditMapLevel.cpp
    CDlgCombineTracks.cpp
    CDlgProjWizzard.cpp
    CDlgEditText.cpp
    CDlgEditDistance.cpp
    CDlgCreateWorldBasemap.cpp
    CDlgDelWpt.cpp
    CDlgConvertToTrack.cpp
    CDlgEditRoute.cpp
    CDlgMapTDBConfig.cpp
    CDlgScreenshot.cpp
    CQlb.cpp
    CGpx.cpp
    IDevice.cpp
    CDeviceQLandkarteM.cpp
    CDeviceGarmin.cpp
    CDeviceMikrokopter.cpp
    CCreateMapOSM.cpp
    CCreateMapQMAP.cpp
    CCreateMapGeoTiff.cpp
    CCreateMapGridTool.cpp
    CCreateMapWMS.cpp
    CMapUndoCommandMove.cpp
    CMapDB.cpp
    CMapToolWidget.cpp
    CMapEditWidget.cpp
    CUndoStack.cpp
    CTrackUndoCommandDelete.cpp
    CTrackUndoCommandDeletePts.cpp
    CTrackUndoCommandPurgePts.cpp
    CTrackUndoCommandSelect.cpp
    CTrack.cpp
    CTrackDB.cpp
    CTrackToolWidget.cpp
    CTrackEditWidget.cpp
    ITrackStat.cpp
    CTrackStatProfileWidget.cpp
    CTrackStatSpeedWidget.cpp
    CTrackStatTraineeWidget.cpp
    CRoute.cpp
    CRouteDB.cpp
    CRouteToolWidget.cpp
    CTabWidget.cpp
    CDiary.cpp
    CDiaryDB.cpp
    CDiaryEditWidget.cpp
    CPlot.cpp
    CPlotAxis.cpp
    CPlotAxisTime.cpp
    CPlotData.cpp
    CLiveLog.cpp
    CLiveLogDB.cpp
    CLiveLogToolWidget.cpp
    COsmTilesHash.cpp
    IOverlay.cpp
    COverlayDB.cpp
    COverlayToolWidget.cpp
    COverlayText.cpp
    COverlayTextBox.cpp
    COverlayDistance.cpp
    IUnit.cpp
    CUnitMetric.cpp
    CUnitImperial.cpp
    CUnitNautic.cpp
    CImage.cpp
    IGarminStrTbl.cpp
    CGarminStrTbl6.cpp
    CGarminStrTbl8.cpp
    CGarminStrTblUtf8.cpp
    CGarminPolygon.cpp
    CGarminPoint.cpp
    CGarminIndex.cpp
    CGarminTile.cpp
    CGarminExport.cpp
    CMapTDB.cpp
)

if (WIN32)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} qlandkarte.rc)
endif (WIN32)

set(qlandkarte_HDRS
    Platform.h
    version.h
    mitab.h
    tcxreader.h
    CActions.h
    CMenus.h
    printpreview.h
    GeoMath.h
    WptIcons.h
    CResources.h
    CCopyright.h
    CMainWindow.h
    CCanvas.h
    CStatusDEM.h
    IMouse.h
    CMouseMoveMap.h
    CMouseZoomMap.h
    CMouseSelMap.h
    CMouseAddWpt.h
    CMouseMoveWpt.h
    CMouseEditWpt.h
    CMouseRefPoint.h
    CMouseCutTrack.h
    CMouseSelTrack.h
    CMouseAddText.h
    CMouseAddTextBox.h
    CMouseAddDistance.h
    CMouseOverlay.h
    CMouseColorPicker.h
    IMap.h
    CMapNoMap.h
    CMapOSM.h
    CMapDEM.h
    CMapFile.h
    CMapLevel.h
    CMapQMAP.h
    CMapQMAPExport.h
    CMapRaster.h
    CMapGeoTiff.h
    IMapSelection.h
    CMapSelectionRaster.h
    CMapSelectionGarmin.h
    CMapSearchWidget.h
    CMapSearchCanvas.h
    CMapSearchThread.h
    CMegaMenu.h
    IDB.h
    CWpt.h
    CWptDB.h
    CWptToolWidget.h
    CSearch.h
    CSearchDB.h
    CSearchToolWidget.h
    CDlgConfig.h
    CDlgEditWpt.h
    CDlgWptIcon.h
    CDlgEditMapLevel.h
    CDlgCombineTracks.h
    CDlgProjWizzard.h
    CDlgEditText.h
    CDlgEditDistance.h
    CDlgDelWpt.h
    CDlgCreateWorldBasemap.h
    CDlgConvertToTrack.h
    CDlgEditRoute.h
    CDlgMapTDBConfig.h
    CDlgScreenshot.h
    CQlb.h
    CGpx.h
    IDevice.h
    CDeviceQLandkarteM.h
    CDeviceGarmin.h
    CDeviceMikrokopter.h
    CCreateMapOSM.h
    CCreateMapQMAP.h
    CCreateMapGeoTiff.h
    CCreateMapGridTool.h
    CCreateMapWMS.h
    CMapDB.h
    CMapToolWidget.h
    CMapEditWidget.h
    CUndoStack.h
    CTrackUndoCommandDelete.h
    CTrackUndoCommandSelect.h
    CTrack.h
    CTrackDB.h
    CTrackToolWidget.h
    CTrackEditWidget.h
    ITrackStat.h
    CTrackStatProfileWidget.h
    CTrackStatSpeedWidget.h
    CTrackStatTraineeWidget.h
    CRoute.h
    CRouteDB.h
    CRouteToolWidget.h
    CTabWidget.h
    CDiary.h
    CDiaryDB.h
    CDiaryEditWidget.h
    CPlot.h
    CPlotAxis.h
    CPlotAxisTime.h
    CPlotData.h
    CLiveLog.h
    CLiveLogDB.h
    CLiveLogToolWidget.h
    IOverlay.h
    COsmTilesHash.h
    COverlayDB.h
    COverlayToolWidget.h
    COverlayText.h
    COverlayTextBox.h
    COverlayDistance.h
    IUnit.h
    CUnitMetric.h
    CUnitImperial.h
    CUnitNautic.h
    CImage.h
    IGarminStrTbl.h
    CGarminStrTbl6.h
    CGarminStrTbl8.h
    CGarminStrTblUtf8.h
    CGarminPolygon.h
    CGarminPoint.h
    CGarminIndex.h
    CGarminTile.h
    Garmin.h
    CGarminExport.h
    CMapTDB.h
)

SET(qlandkarte_UIS
    ICopyright.ui
    IWptToolWidget.ui
    IMapToolWidget.ui
    IMapEditWidget.ui
    IMapSearchWidget.ui
    IMapQMAPExport.ui
    ITrackToolWidget.ui
    ITrackEditWidget.ui
    ITrackStatWidget.ui
    ISearchToolWidget.ui
    IDlgConfig.ui
    IDlgEditWpt.ui
    IDlgWptIcon.ui
    IDlgEditMapLevel.ui
    IDlgCombineTracks.ui
    IDlgEditDistance.ui
    IDlgDelWpt.ui
    IDlgCreateWorldBasemap.ui
    IDlgConvertToTrack.ui
    IDlgEditRoute.ui
    IDlgMapTDBConfig.ui
    IDlgScreenshot.ui
    ICreateMapOSM.ui
    ICreateMapQMAP.ui
    ICreateMapGeoTiff.ui
    ICreateMapGridTool.ui
    ICreateMapWMS.ui
    IRouteToolWidget.ui
    IStatusDEM.ui
    IDlgProjWizzard.ui
    IDiaryEditWidget.ui
    ILiveLogToolWidget.ui
    IOverlayToolWidget.ui
    IGarminExport.ui

)

SET(qlandkarte_RCS
    resources.qrc
)

SET (PLOT_3D ON CACHE BOOL "3D Maps with OpenGL")
SET (QL_OPENGL_INCLUDE_DIR "")
SET (QL_OPENGL_LIBRARIES "")

IF(PLOT_3D AND OPENGL_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPLOT_3D")
    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3DWidget.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3DWidget.cpp)
    SET(QL_OPENGL_INCLUDE_DIR ${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
    SET(QL_OPENGL_LIBRARIES ${QT_QTOPENGL_LIBRARIES} ${OPENGL_LIBRARIES})
ENDIF(PLOT_3D AND OPENGL_FOUND)

SET (WMS_CLIENT ON CACHE BOOL "WMS Maps service")
IF(WMS_CLIENT)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DWMS_CLIENT")
    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMapWMS.h)
    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMapWMS.cpp)
ENDIF(WMS_CLIENT)

IF(EXIF_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_EXIF")
else(EXIF_FOUND)
    set(EXIF_INCLUDE_DIRS "")
    set(EXIF_LIBRARIES "")
ENDIF(EXIF_FOUND)

IF(DMTX_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_DMTX")
else(EXIF_FOUND)
    set(DMTX_INCLUDE_DIRS "")
    set(DMTX_LIBRARIES "")
ENDIF(DMTX_FOUND)

qt4_wrap_cpp(qlandkarte_MOC_SRCS ${qlandkarte_HDRS})
qt4_wrap_ui(qlandkarte_UI_HDRS ${qlandkarte_UIS})
qt4_add_resources(qlandkarte_RC_SRCS ${qlandkarte_RCS})

SET (ENABLE_TRANSLATION ON CACHE BOOL "enable translations")
#-D ENABLE_TRANSLATION:bool=OFF
IF(ENABLE_TRANSLATION)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_TRANSLATION")

    file (GLOB TRANSLATIONS_FILES locale/*.ts)

    option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts
    files (WARNING: make clean will delete the source .ts files! Danger!)")
    if (UPDATE_TRANSLATIONS)
       qt4_create_translation(qlandkarte_QM_FILES
                              ${qlandkarte_SRCS}
                              ${qlandkarte_HDRS}
                              ${qlandkarte_UIS}
                              ${TRANSLATIONS_FILES}
                          )
    else (UPDATE_TRANSLATIONS)
       qt4_add_translation(qlandkarte_QM_FILES ${TRANSLATIONS_FILES})
    endif (UPDATE_TRANSLATIONS)

    if (UNIX AND NOT WIN32)
 	 install(
         	 FILES
                   ${qlandkarte_QM_FILES}
    	     DESTINATION
                   ${DATA_INSTALL_PREFIX}/qlandkartegt/translations)
    endif (UNIX AND NOT WIN32)
ENDIF(ENABLE_TRANSLATION)

if(UNIX)
    add_definitions(-D_TTY_POSIX_)
endif(UNIX)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${GDAL_INCLUDE_DIRS}
  ${PROJ_INCLUDE_DIRS}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSQL_INCLUDE_DIR}
  ${QT_QTOPENGL_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${QL_OPENGL_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/3rdparty/SerialPort
  ${CMAKE_SOURCE_DIR}/3rdparty/QMKToolBox
  ${EXIF_INCLUDE_DIRS}
  ${DMTX_INCLUDE_DIRS}
)

add_executable(qlandkartegt
  ${qlandkarte_SRCS}
  ${qlandkarte_HDRS}
  ${qlandkarte_UI_HDRS}
  ${qlandkarte_RC_SRCS}
  ${qlandkarte_MOC_SRCS}
  ${qlandkarte_QM_FILES}
)

target_link_libraries(
    qlandkartegt
      ${GDAL_LIBRARIES}
      ${PROJ_LIBRARIES}
      ${QT_LIBRARIES}
      ${QT_QTNETWORK_LIBRARIES}
      ${QT_QTXML_LIBRARIES}
      ${QT_QTSQL_LIBRARIES}
      ${QL_OPENGL_LIBRARIES}
      ${EXIF_LIBRARIES}
      ${DMTX_LIBRARIES}
      SerialPort
      QMKToolBox
  )

install(
    TARGETS
      qlandkartegt
    DESTINATION
      ${BIN_INSTALL_DIR}
)

if (WIN32)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /subsystem:windows")
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
  target_link_libraries(qlandkartegt
        ${QT_LIBRARIES}
        ${QT_QTNETWORK_LIBRARIES}
        ${QT_QTXML_LIBRARIES}
        ${QT_QTSQL_LIBRARIES}
        ${QL_OPENGL_LIBRARIES}
        ${OPENGL_LIBRARIES}
        ${QT_LIBRARY_DIR}/qtmain.lib
        SerialPort
        QMKToolBox)
endif (WIN32)

## qlandkartegt 0.17.1

=== CMakeLists.txt ===
project(QLandkarteGT)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "17")
set(APPLICATION_VERSION_PATCH "1")

add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if (APPLE)
  set(PROGNAME "QLandkarte GT")
  set(CONFIGDIR "Library/Application Support/${PROGNAME}/")
  set(MAC_BUNDLE_PATH ${EXECUTABLE_OUTPUT_PATH}/${PROGNAME}.app)
  set(MAC_ICON_FILE qlandkartegt.icns)
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH})
  set(MACOSX_BUNDLE_ICON_FILE ${MAC_ICON_FILE})
  set(MACOSX_BUNDLE_BUNDLE_NAME ${PROGNAME})
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR})
  set(MACOSX_BUNDLE_GUI_IDENTIFIER org.qlandkarte.QLandkarteGT)
else(APPLE)
  set(PROGNAME qlandkartegt)
  set(CONFIGDIR ".config/QLandkarteGT/")
endif(APPLE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# config.h generation
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(3rdparty/SerialPort)
add_subdirectory(3rdparty/QMKToolBox)
add_subdirectory(3rdparty/getopt)
add_subdirectory(src)

if (UNIX AND NOT WIN32 AND NOT APPLE)
  install(
    FILES
      qlandkartegt.desktop
    DESTINATION
      ${XDG_APPS_DIR}
  )

  install(
    FILES
      qlandkartegt.png
    DESTINATION
      ${DATA_INSTALL_PREFIX}/pixmaps
  )

  install(
    FILES
      qlandkartegt.1
    DESTINATION
      ${MAN_INSTALL_DIR}/man1
  )
endif (UNIX AND NOT WIN32 AND NOT APPLE)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -79,12 +79,15 @@
     CDlgEditRoute.cpp
     CDlgMapTDBConfig.cpp
     CDlgScreenshot.cpp
+    CDlgTrackFilter.cpp
+    CDlgSetupGarminIcons.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
     CDeviceQLandkarteM.cpp
     CDeviceGarmin.cpp
     CDeviceMikrokopter.cpp
+    CDeviceNMEA.cpp
     CCreateMapOSM.cpp
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
@@ -142,7 +145,11 @@
     CGarminIndex.cpp
     CGarminTile.cpp
     CGarminExport.cpp
+    IGarminTyp.cpp
+    CGarminTyp.cpp
+    CGarminTypNT.cpp
     CMapTDB.cpp
+    CHelpButton.cpp
 )
 
 if (WIN32)
@@ -217,12 +224,15 @@
     CDlgEditRoute.h
     CDlgMapTDBConfig.h
     CDlgScreenshot.h
+    CDlgTrackFilter.h
+    CDlgSetupGarminIcons.h
     CQlb.h
     CGpx.h
     IDevice.h
     CDeviceQLandkarteM.h
     CDeviceGarmin.h
     CDeviceMikrokopter.h
+    CDeviceNMEA.h
     CCreateMapOSM.h
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
@@ -278,7 +288,12 @@
     CGarminTile.h
     Garmin.h
     CGarminExport.h
+    IGarminTyp.h
+    CGarminTyp.h
+    CGarminTypNT.h
     CMapTDB.h
+    CAppOpts.h
+    CHelpButton.h
 )
 
 SET(qlandkarte_UIS
@@ -304,6 +319,8 @@
     IDlgEditRoute.ui
     IDlgMapTDBConfig.ui
     IDlgScreenshot.ui
+    IDlgTrackFilter.ui
+    IDlgSetupGarminIcons.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
@@ -316,7 +333,7 @@
     ILiveLogToolWidget.ui
     IOverlayToolWidget.ui
     IGarminExport.ui
-
+    IHelpDlg.ui
 )
 
 SET(qlandkarte_RCS
@@ -380,13 +397,19 @@
        qt4_add_translation(qlandkarte_QM_FILES ${TRANSLATIONS_FILES})
     endif (UPDATE_TRANSLATIONS)
 
-    if (UNIX AND NOT WIN32)
+    if (UNIX AND NOT WIN32 AND NOT APPLE)
  	 install(
          	 FILES
                    ${qlandkarte_QM_FILES}
     	     DESTINATION
                    ${DATA_INSTALL_PREFIX}/qlandkartegt/translations)
-    endif (UNIX AND NOT WIN32)
+    endif (UNIX AND NOT WIN32 AND NOT APPLE)
+    if (APPLE)
+  	  add_custom_target(locversion.plist ALL
+  		COMMAND
+  			${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
+  	  )
+    endif (APPLE)
 ENDIF(ENABLE_TRANSLATION)
 
 if(UNIX)
@@ -406,21 +429,37 @@
   ${CMAKE_SOURCE_DIR}/include
   ${CMAKE_SOURCE_DIR}/3rdparty/SerialPort
   ${CMAKE_SOURCE_DIR}/3rdparty/QMKToolBox
+  ${CMAKE_SOURCE_DIR}/3rdparty/getopt
   ${EXIF_INCLUDE_DIRS}
   ${DMTX_INCLUDE_DIRS}
 )
 
-add_executable(qlandkartegt
-  ${qlandkarte_SRCS}
-  ${qlandkarte_HDRS}
-  ${qlandkarte_UI_HDRS}
-  ${qlandkarte_RC_SRCS}
-  ${qlandkarte_MOC_SRCS}
-  ${qlandkarte_QM_FILES}
-)
+set(qlandkarte_ALLINP
+    ${qlandkarte_SRCS}
+    ${qlandkarte_HDRS}
+    ${qlandkarte_UI_HDRS}
+    ${qlandkarte_RC_SRCS}
+    ${qlandkarte_MOC_SRCS}
+    ${qlandkarte_QM_FILES}
+)
+
+if (APPLE)
+  set(MAC_EXTRA_RES
+  	  ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
+  )
+  set_source_files_properties(
+  	${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
+  PROPERTIES
+  	MACOSX_PACKAGE_LOCATION Resources
+  )
+  add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
+  add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
+else(APPLE)
+  add_executable(${PROGNAME} ${qlandkarte_ALLINP})
+endif(APPLE)
 
 target_link_libraries(
-    qlandkartegt
+    ${PROGNAME}
       ${GDAL_LIBRARIES}
       ${PROJ_LIBRARIES}
       ${QT_LIBRARIES}
@@ -432,11 +471,12 @@
       ${DMTX_LIBRARIES}
       SerialPort
       QMKToolBox
+      getopt
   )
 
 install(
     TARGETS
-      qlandkartegt
+      ${PROGNAME}
     DESTINATION
       ${BIN_INSTALL_DIR}
 )
@@ -444,7 +484,7 @@
 if (WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /subsystem:windows")
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
-  target_link_libraries(qlandkartegt
+  target_link_libraries(${PROGNAME}
         ${QT_LIBRARIES}
         ${QT_QTNETWORK_LIBRARIES}
         ${QT_QTXML_LIBRARIES}

## qlandkartegt 0.18.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "17")
-set(APPLICATION_VERSION_PATCH "1")
+set(APPLICATION_VERSION_MINOR "18")
+set(APPLICATION_VERSION_PATCH "3")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
 
@@ -26,6 +26,13 @@
   set(PROGNAME qlandkartegt)
   set(CONFIGDIR ".config/QLandkarteGT/")
 endif(APPLE)
+if(MSVC)
+  # Add link-time code generation to improve performance
+  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL")
+  set(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
+  set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
+  set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG")
+endif(MSVC)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,28 @@
 find_package(PROJ REQUIRED)
 find_package(EXIF)
 find_package(DMTX)
-
+find_package(GPSD)
+
+find_program(GDALWARP gdalwarp DOC "full path of the gdalwarp application")
+if(GDALWARP)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"${GDALWARP}\\\"")
+else(GDALWARP)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALWARP=\\\"gdalwarp\\\"")
+endif(GDALWARP)
+
+find_program(GDALTRANSLATE gdal_translate DOC "full path of the gdal_translate application")
+if(GDALTRANSLATE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"${GDALTRANSLATE}\\\"")
+else(GDALTRANSLATE)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGDALTRANSLATE=\\\"gdal_translate\\\"")
+endif(GDALTRANSLATE)
+
+find_program(GPSBABEL gpsbabel DOC "full path of the gpsbabel application")
+if(GPSBABEL)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"${GPSBABEL}\\\"")
+else(GPSBABEL)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGPSBABEL=\\\"gpsbabel\\\"")
+endif(GPSBABEL)
 
 include(${QT_USE_FILE})
 
@@ -81,6 +102,7 @@
     CDlgScreenshot.cpp
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
+    CDlgConfig3D.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -92,12 +114,13 @@
     CCreateMapQMAP.cpp
     CCreateMapGeoTiff.cpp
     CCreateMapGridTool.cpp
-    CCreateMapWMS.cpp
+    CCreateMapFineTune.cpp
     CMapUndoCommandMove.cpp
     CMapDB.cpp
     CMapToolWidget.cpp
     CMapEditWidget.cpp
-    CUndoStack.cpp
+    CUndoStackModel.cpp
+    CUndoStackView.cpp
     CTrackUndoCommandDelete.cpp
     CTrackUndoCommandDeletePts.cpp
     CTrackUndoCommandPurgePts.cpp
@@ -142,7 +165,6 @@
     CGarminStrTblUtf8.cpp
     CGarminPolygon.cpp
     CGarminPoint.cpp
-    CGarminIndex.cpp
     CGarminTile.cpp
     CGarminExport.cpp
     IGarminTyp.cpp
@@ -150,6 +172,7 @@
     CGarminTypNT.cpp
     CMapTDB.cpp
     CHelpButton.cpp
+    CSpline.cpp
 )
 
 if (WIN32)
@@ -226,6 +249,7 @@
     CDlgScreenshot.h
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
+    CDlgConfig3D.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -237,11 +261,12 @@
     CCreateMapQMAP.h
     CCreateMapGeoTiff.h
     CCreateMapGridTool.h
-    CCreateMapWMS.h
+    CCreateMapFineTune.h
     CMapDB.h
     CMapToolWidget.h
     CMapEditWidget.h
-    CUndoStack.h
+    CUndoStackModel.h
+    CUndoStackView.h
     CTrackUndoCommandDelete.h
     CTrackUndoCommandSelect.h
     CTrack.h
@@ -284,7 +309,6 @@
     CGarminStrTblUtf8.h
     CGarminPolygon.h
     CGarminPoint.h
-    CGarminIndex.h
     CGarminTile.h
     Garmin.h
     CGarminExport.h
@@ -294,6 +318,7 @@
     CMapTDB.h
     CAppOpts.h
     CHelpButton.h
+    CSpline.h
 )
 
 SET(qlandkarte_UIS
@@ -321,11 +346,12 @@
     IDlgScreenshot.ui
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
+    IDlgConfig3D.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
     ICreateMapGridTool.ui
-    ICreateMapWMS.ui
+    ICreateMapFineTune.ui
     IRouteToolWidget.ui
     IStatusDEM.ui
     IDlgProjWizzard.ui
@@ -340,39 +366,57 @@
     resources.qrc
 )
 
+SET (PRIVATE OFF CACHE BOOL "Features for private use only")
 SET (PLOT_3D ON CACHE BOOL "3D Maps with OpenGL")
+SET (GPX_EXTENSIONS OFF CACHE BOOL "Read <extensions> data from tracks in GPX files.")
+
 SET (QL_OPENGL_INCLUDE_DIR "")
 SET (QL_OPENGL_LIBRARIES "")
 
 IF(PLOT_3D AND OPENGL_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPLOT_3D")
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3DWidget.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3DWidget.cpp)
+    add_definitions(-DPLOT_3D)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMap3D.h CDlg3DHelp.h)
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMap3D.cpp CDlg3DHelp.cpp)
+    SET(qlandkarte_UIS ${qlandkarte_UIS} IDlg3DHelp.ui)
     SET(QL_OPENGL_INCLUDE_DIR ${QT_QTOPENGL_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
     SET(QL_OPENGL_LIBRARIES ${QT_QTOPENGL_LIBRARIES} ${OPENGL_LIBRARIES})
 ENDIF(PLOT_3D AND OPENGL_FOUND)
 
-SET (WMS_CLIENT ON CACHE BOOL "WMS Maps service")
-IF(WMS_CLIENT)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DWMS_CLIENT")
-    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CMapWMS.h)
-    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CMapWMS.cpp)
-ENDIF(WMS_CLIENT)
+
+if(GPX_EXTENSIONS)
+    add_definitions(-DGPX_EXTENSIONS)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS}  CTrackStatExtensionWidget.h CGpxExtension.h)
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS}  CTrackStatExtensionWidget.cpp CGpxExtension.cpp)
+    SET(qlandkarte_UIS ${qlandkarte_UIS} )
+endif(GPX_EXTENSIONS)
+
+if(GPSD_FOUND)
+    add_definitions(-DHAS_GPSD)
+    SET(qlandkarte_HDRS ${qlandkarte_HDRS} CDeviceGPSD.h )
+    SET(qlandkarte_SRCS ${qlandkarte_SRCS} CDeviceGPSD.cpp)
+else(GPSD_FOUND)
+    SET(GPSD_INCLUDE_DIRS "")
+    SET(GPSD_LIBRARIES "")
+endif(GPSD_FOUND)
 
 IF(EXIF_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_EXIF")
+    add_definitions(-DHAS_EXIF)
 else(EXIF_FOUND)
     set(EXIF_INCLUDE_DIRS "")
     set(EXIF_LIBRARIES "")
 ENDIF(EXIF_FOUND)
 
 IF(DMTX_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_DMTX")
+    add_definitions(-DHAS_DMTX)
 else(EXIF_FOUND)
     set(DMTX_INCLUDE_DIRS "")
     set(DMTX_LIBRARIES "")
 ENDIF(DMTX_FOUND)
 
+IF(PRIVATE)
+    add_definitions(-DPRIVATE)
+ENDIF(PRIVATE)
+
 qt4_wrap_cpp(qlandkarte_MOC_SRCS ${qlandkarte_HDRS})
 qt4_wrap_ui(qlandkarte_UI_HDRS ${qlandkarte_UIS})
 qt4_add_resources(qlandkarte_RC_SRCS ${qlandkarte_RCS})
@@ -380,7 +424,7 @@
 SET (ENABLE_TRANSLATION ON CACHE BOOL "enable translations")
 #-D ENABLE_TRANSLATION:bool=OFF
 IF(ENABLE_TRANSLATION)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_TRANSLATION")
+    add_definitions(-DENABLE_TRANSLATION)
 
     file (GLOB TRANSLATIONS_FILES locale/*.ts)
 
@@ -432,6 +476,7 @@
   ${CMAKE_SOURCE_DIR}/3rdparty/getopt
   ${EXIF_INCLUDE_DIRS}
   ${DMTX_INCLUDE_DIRS}
+  ${GPSD_INCLUDE_DIRS}
 )
 
 set(qlandkarte_ALLINP
@@ -455,44 +500,7 @@
   add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
   add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
 else(APPLE)
-  add_executable(${PROGNAME} ${qlandkarte_ALLINP})
+  add_executable(${PROGNAME} WIN32 ${qlandkarte_ALLINP})
 endif(APPLE)
 
-target_link_libraries(
-    ${PROGNAME}
-      ${GDAL_LIBRARIES}
-      ${PROJ_LIBRARIES}
-      ${QT_LIBRARIES}
-      ${QT_QTNETWORK_LIBRARIES}
-      ${QT_QTXML_LIBRARIES}
-      ${QT_QTSQL_LIBRARIES}
-      ${QL_OPENGL_LIBRARIES}
-      ${EXIF_LIBRARIES}
-      ${DMTX_LIBRARIES}
-      SerialPort
-      QMKToolBox
-      getopt
-  )
-
-install(
-    TARGETS
-      ${PROGNAME}
-    DESTINATION
-      ${BIN_INSTALL_DIR}
-)
-
-if (WIN32)
-  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /subsystem:windows")
-  add_definitions(-D_CRT_SECURE_NO_DEPRECATE )
-  target_link_libraries(${PROGNAME}
-        ${QT_LIBRARIES}
-        ${QT_QTNETWORK_LIBRARIES}
-        ${QT_QTXML_LIBRARIES}
-        ${QT_QTSQL_LIBRARIES}
-        ${QL_OPENGL_LIBRARIES}
-        ${OPENGL_LIBRARIES}
-        ${QT_LIBRARY_DIR}/qtmain.lib
-        SerialPort
-        QMKToolBox)
-endif (WIN32)
-
+if(MSVC)

=== debian/changelog ===
qlandkartegt (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * Update dependency on garmin device drivers (needs 0.3.4).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 18:12:35 -0400

qlandkartegt (0.18.2-1) unstable; urgency=low

  * New upstream release.
  * Switch from CDBS to debhelper's 'dh'.
  * Enabled gpsd support.
  * Enable gpsbabel support.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 12 May 2010 09:51:05 -0400

qlandkartegt (0.18.1-1) unstable; urgency=low

  * New upstream release. Various bugfixes and a new user-specific location
    for the tiles cache.
  * Switch to source package format 3.0 (quilt). Currently no upstream patches
    present.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 04 Apr 2010 18:15:59 -0400

qlandkartegt (0.18.0-1) unstable; urgency=low

  * New upstream release -- merged all Debian patches.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 08:36:48 -0500

qlandkartegt (0.17.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Feb 2010 10:08:35 -0500

qlandkartegt (0.17.0-1) unstable; urgency=low

  * New upstream release.
  * Adding versioned dependency to qlandkartegt-garmin (>= 0.3.2~).
  * Add build-dependencies on libexif-dev (for waypoints from geotagged images
    support) and libdmtx (for waypoints to barcodes support).
  * Bumped Standards-version to 3.8.4, no changes necessary.
  * Small fixes for GCC 4.5 compatibility (Closes: #565091).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 30 Jan 2010 12:06:27 -0500

qlandkartegt (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * Add a transitional package for upgrades from OLandkarte
    (Closes: #548176).
  * Update debian/copyright for new 3rd-party code.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 08 Nov 2009 09:04:04 -0500

qlandkartegt (0.15.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 22 Sep 2009 14:48:27 -0400

qlandkartegt (0.15.0-1) unstable; urgency=low

  * New upstream release (Closes: #540306).
  * Bumped Standards-version to 3.8.3.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 08 Sep 2009 17:14:00 -0400

qlandkartegt (0.13.0-1) unstable; urgency=low

  * Initial release (Closes: #507352).
  * Sponsored upload by Yaroslav Halchenko <yoh@debian.org>.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 11 Jun 2009 16:29:18 +0200

=== debian/control ===
Source: qlandkartegt
Section: x11
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel
Standards-Version: 3.8.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git
Vcs-Git: git://git.debian.org/git/collab-maint/qlandkartegt.git


Package: qlandkartegt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: qlandkarte
Provides: qlandkarte
Recommends: gdal-bin, qlandkartegt-garmin (>= 0.3.4~), gpsbabel
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format. QLandkarteGT is the successor of
 QLandkarte. Among various improvements (e.g. 2D/3D map rendering and
 reduced resource demands) the major difference is its
 device-independent architecture, which is not limited to Garmin devices
 anymore. Therefore, the package also does not include device drivers.
 Drivers for a number of Garmin devices are available from the
 qlandkartegt-garmin package.
 .
 Additionally, QLandkarteGT serves as a frontend to the GDAL tools, to
 make georeferencing of scanned maps feasible for users. In contrast to
 similar tools (e.g. QGis) its straightforward interface is especially
 suited for non-scientific users.


Package: qlandkarte
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, qlandkartegt
Description: Transitional package for QLandkarteGT
 This is a transitional package for the QLandkarte to QLandkarteGT upgrade,
 and can be safely removed after the installation is complete.

## qlandkartegt 0.18.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 set(APPLICATION_VERSION_MAJOR "0")
 set(APPLICATION_VERSION_MINOR "18")
-set(APPLICATION_VERSION_PATCH "3")
+set(APPLICATION_VERSION_PATCH "5")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -91,9 +91,9 @@
     CDlgWptIcon.cpp
     CDlgEditMapLevel.cpp
     CDlgCombineTracks.cpp
+    CDlgCombineDistOvl.cpp
     CDlgProjWizzard.cpp
     CDlgEditText.cpp
-    CDlgEditDistance.cpp
     CDlgCreateWorldBasemap.cpp
     CDlgDelWpt.cpp
     CDlgConvertToTrack.cpp
@@ -103,6 +103,7 @@
     CDlgTrackFilter.cpp
     CDlgSetupGarminIcons.cpp
     CDlgConfig3D.cpp
+    CDlgExport.cpp
     CQlb.cpp
     CGpx.cpp
     IDevice.cpp
@@ -154,6 +155,7 @@
     COverlayText.cpp
     COverlayTextBox.cpp
     COverlayDistance.cpp
+    COverlayDistanceEditWidget.cpp
     IUnit.cpp
     CUnitMetric.cpp
     CUnitImperial.cpp
@@ -238,9 +240,9 @@
     CDlgWptIcon.h
     CDlgEditMapLevel.h
     CDlgCombineTracks.h
+    CDlgCombineDistOvl.h
     CDlgProjWizzard.h
     CDlgEditText.h
-    CDlgEditDistance.h
     CDlgDelWpt.h
     CDlgCreateWorldBasemap.h
     CDlgConvertToTrack.h
@@ -250,6 +252,7 @@
     CDlgTrackFilter.h
     CDlgSetupGarminIcons.h
     CDlgConfig3D.h
+    CDlgExport.h
     CQlb.h
     CGpx.h
     IDevice.h
@@ -298,6 +301,7 @@
     COverlayText.h
     COverlayTextBox.h
     COverlayDistance.h
+    COverlayDistanceEditWidget.h
     IUnit.h
     CUnitMetric.h
     CUnitImperial.h
@@ -337,7 +341,7 @@
     IDlgWptIcon.ui
     IDlgEditMapLevel.ui
     IDlgCombineTracks.ui
-    IDlgEditDistance.ui
+    IDlgCombineDistOvl.ui
     IDlgDelWpt.ui
     IDlgCreateWorldBasemap.ui
     IDlgConvertToTrack.ui
@@ -347,6 +351,7 @@
     IDlgTrackFilter.ui
     IDlgSetupGarminIcons.ui
     IDlgConfig3D.ui
+    IDlgExport.ui
     ICreateMapOSM.ui
     ICreateMapQMAP.ui
     ICreateMapGeoTiff.ui
@@ -358,6 +363,7 @@
     IDiaryEditWidget.ui
     ILiveLogToolWidget.ui
     IOverlayToolWidget.ui
+    IOverlayDistanceEditWidget.ui
     IGarminExport.ui
     IHelpDlg.ui
 )
@@ -442,17 +448,17 @@
     endif (UPDATE_TRANSLATIONS)
 
     if (UNIX AND NOT WIN32 AND NOT APPLE)
- 	 install(
-         	 FILES
+     install(
+             FILES
                    ${qlandkarte_QM_FILES}
-    	     DESTINATION
+             DESTINATION
                    ${DATA_INSTALL_PREFIX}/qlandkartegt/translations)
     endif (UNIX AND NOT WIN32 AND NOT APPLE)
     if (APPLE)
-  	  add_custom_target(locversion.plist ALL
-  		COMMAND
-  			${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
-  	  )
+      add_custom_target(locversion.plist ALL
+        COMMAND
+            ${CMAKE_SOURCE_DIR}/MacOSX/mklocversion.sh ${MAC_BUNDLE_PATH} ${qlandkarte_QM_FILES}
+      )
     endif (APPLE)
 ENDIF(ENABLE_TRANSLATION)
 
@@ -490,17 +496,11 @@
 
 if (APPLE)
   set(MAC_EXTRA_RES
-  	  ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
+      ${CMAKE_SOURCE_DIR}/MacOSX/${MAC_ICON_FILE}
   )
   set_source_files_properties(
-  	${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
+    ${MAC_EXTRA_RES} ${qlandkarte_QM_FILES}
   PROPERTIES
-  	MACOSX_PACKAGE_LOCATION Resources
+    MACOSX_PACKAGE_LOCATION Resources
   )
   add_executable(${PROGNAME} MACOSX_BUNDLE ${qlandkarte_ALLINP} ${MAC_EXTRA_RES})
-  add_custom_target(mac-deploy macdeployqt "${MAC_BUNDLE_PATH}")
-else(APPLE)
-  add_executable(${PROGNAME} WIN32 ${qlandkarte_ALLINP})
-endif(APPLE)
-
-if(MSVC)

=== debian/changelog ===
qlandkartegt (0.18.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Jul 2010 09:16:28 -0400

qlandkartegt (0.18.4-1) unstable; urgency=low

  * New upstream release (Closes: #582828).
  * Updated dates in debian/copyright.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 04 Jul 2010 22:20:21 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Hanke <michael.hanke@gmail.com>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.qlandkarte.org
 XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git

## qlandkartegt 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 set(APPLICATION_NAME ${PROJECT_NAME})
 
-set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "18")
-set(APPLICATION_VERSION_PATCH "5")
+set(APPLICATION_VERSION_MAJOR "1")
+set(APPLICATION_VERSION_MINOR "2")
+set(APPLICATION_VERSION_PATCH "2")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH})
 
@@ -47,12 +47,27 @@
 include(CPackConfig.cmake)
 
 # config.h generation
+if (NOT WIN32)
+SET (NATIVE_FILE_DIALOG ON CACHE BOOL "Use OS native file dialog")
+else (NOT WIN32)
+SET (NATIVE_FILE_DIALOG OFF CACHE BOOL "Use OS native file dialog")
+endif (NOT WIN32)
+
+if(NATIVE_FILE_DIALOG)
+    set(FILEDIALOGFLAGS "0")
+else(NATIVE_FILE_DIALOG)
+    set(FILEDIALOGFLAGS "QFileDialog::DontUseNativeDialog")
+endif(NATIVE_FILE_DIALOG)
+
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 add_subdirectory(3rdparty/SerialPort)
 add_subdirectory(3rdparty/QMKToolBox)
+add_subdirectory(3rdparty/QZip)
+add_subdirectory(3rdparty/QTextHtmlExporter)
 add_subdirectory(3rdparty/getopt)
+add_subdirectory(3rdparty/map2gcm)
 add_subdirectory(src)
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)
@@ -65,7 +80,7 @@
 
   install(
     FILES
-      qlandkartegt.png
+      src/icons/qlandkartegt.png
     DESTINATION
       ${DATA_INSTALL_PREFIX}/pixmaps
   )

=== debian/changelog ===
qlandkartegt (1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Jul 2011 15:41:54 -0400

qlandkartegt (1.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #624595).
  * Added build-dep on libqtwebkit-dev.

 -- Michael Hanke <mih@debian.org>  Fri, 29 Apr 2011 21:39:05 -0400

qlandkartegt (1.1.0-1) unstable; urgency=low

  * New upstream release. New features for geocaching activities.

 -- Michael Hanke <mih@debian.org>  Tue, 22 Feb 2011 08:18:59 -0500

qlandkartegt (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Change maintainer email address.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Jan 2011 11:33:33 -0500

qlandkartegt (0.19.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.1, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 28 Aug 2010 10:37:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: qlandkartegt
 Section: x11
 Priority: optional
-Maintainer: Michael Hanke <michael.hanke@gmail.com>
+Maintainer: Michael Hanke <mih@debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libqt4-dev (>= 4.2), libqt4-opengl-dev, libgdal1-dev (>= 1.5.2-3) | libgdal-dev, libproj-dev | proj, imagemagick, libexif-dev, libdmtx-dev, libgps-dev, gpsbabel, libqtwebkit-dev
+Standards-Version: 3.9.1
 Homepage: http://www.qlandkarte.org
 XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qlandkartegt.git

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DGPX_EXTENSIONS:BOOL=TRUE


override_dh_auto_install:
	# first do the regular job
	dh_auto_install
	# come up with icon in XPM format
	convert debian/tmp/usr/share/pixmaps/qlandkartegt.png \
		-resize 32x32 debian/tmp/usr/share/pixmaps/qlandkartegt.xpm
	rm debian/tmp/usr/share/pixmaps/qlandkartegt.png
	# rename upstream changelog
	cp changelog.txt changelog


override_dh_clean::
	# remove copied changelog
	-rm changelog
	dh_clean
